# Uses of Class
javax.swing.text.DefaultStyledDocument.ElementSpec

Packages that use DefaultStyledDocument.ElementSpec
Package
Description
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.
javax.swing.text.html
Provides the class `HTMLEditorKit` and supporting classes for creating HTML text editors.

## Uses of DefaultStyledDocument.ElementSpec in javax.swing.text

Methods in javax.swing.text with parameters of type DefaultStyledDocument.ElementSpec
Modifier and Type
Method
Description
`protected void`
DefaultStyledDocument.`create(DefaultStyledDocument.ElementSpec[] data)`
Initialize the document to reflect the given element structure (i.e. the structure reported by the `getDefaultRootElement` method.
`void`
DefaultStyledDocument.ElementBuffer.`insert(int offset, int length, DefaultStyledDocument.ElementSpec[] data, AbstractDocument.DefaultDocumentEvent de)`
Inserts new content.
`protected void`
DefaultStyledDocument.`insert(int offset, DefaultStyledDocument.ElementSpec[] data)`
Inserts new elements in bulk.
`protected void`
DefaultStyledDocument.ElementBuffer.`insertUpdate(DefaultStyledDocument.ElementSpec[] data)`
Inserts an update into the document.

## Uses of DefaultStyledDocument.ElementSpec in javax.swing.text.html

Fields in javax.swing.text.html with type parameters of type DefaultStyledDocument.ElementSpec
Modifier and Type
Field
Description
`protected Vector<DefaultStyledDocument.ElementSpec>`
HTMLDocument.HTMLReader.`parseBuffer`
Buffer to keep building elements.
Methods in javax.swing.text.html with parameters of type DefaultStyledDocument.ElementSpec
Modifier and Type
Method
Description
`protected void`
HTMLDocument.`create(DefaultStyledDocument.ElementSpec[] data)`
Replaces the contents of the document with the given element specifications.
`protected void`
HTMLDocument.`insert(int offset, DefaultStyledDocument.ElementSpec[] data)`
Inserts new elements in bulk.